Bug 993613 - (CVE-2013-5029) CVE-2013-5029 phpMyAdmin: ClickJacking protection can be bypassed (PMASA-2013-10)
CVE-2013-5029 phpMyAdmin: ClickJacking protection can be bypassed (PMASA-2013...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130804,repor...
: Security
Depends On: 993617 993618 998644
Blocks: 993620
  Show dependency treegraph
 
Reported: 2013-08-06 05:44 EDT by Jan Lieskovsky
Modified: 2014-08-07 07:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: phpMyAdmin-4.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 01:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-08-06 05:44:06 EDT
A security flaw was found in the way phpMyAdmin, a tool to handle the administration of MySQL over the World Wide Web, (previously) implemented the protection against the click-jacking attacks. A remote attacker could provide a specially-crafted web page that, when visited by an unsuspecting phpMyAdmin user might allow an attacker to perform some kind of unauthorized action.

Upstream advisory:
[1] http://www.phpmyadmin.net/home_page/security/PMASA-2013-10.php

Relevant patches [*]
[2] https://github.com/phpmyadmin/phpmyadmin/commit/240b8332db53dedc27baeec5306dabad3bdece3b
[3] https://github.com/phpmyadmin/phpmyadmin/commit/24d0eb55203b029f250c77d63f2900ffbe099e8b
[4] https://github.com/phpmyadmin/phpmyadmin/commit/66fe475d4f51b1761719cb0cab360748800373f7
[5] https://github.com/phpmyadmin/phpmyadmin/commit/da4042fb6c4365dc8187765c3bf525043687c66f

--
[*] Though for phpMyAdmin versions of 3.5.x upstream suggests to upgrade to version 4.0.5 or newer due the complexity of introducing the dependency on JavaScript in 3.5.x version.
Comment 1 Jan Lieskovsky 2013-08-06 05:46:47 EDT
This issue affects the (latest) versions of the phpMyAdmin package, as shipped with Fedora release of 18, 19, Fedora EPEL-5, and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-08-06 05:48:03 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 993617]
Affects: epel-all [bug 993618]
Comment 4 Fedora Update System 2014-07-30 03:01:01 EDT
phpMyAdmin-4.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-07-30 03:02:33 EDT
phpMyAdmin-4.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-08-07 07:46:09 EDT
phpMyAdmin-4.0.10.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.